Skip to main content
Contract / Billing

Get a single Contract billing/invoice line item

This method requires the ContractBilling:Get permission to be associated with your role.

GET
/fm/contract/billings/{billing_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
billing_idstringrequired

Billing Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

allocation_flagenum<string>
Available options: none, part, full, history-only
Example: full
amount_gstnumber
Example: 94.26
amount_netnumber
Example: 942.59
batch_nostring
Example: 100000
billing_idstring
Example: 100000
client_idstring

Client Id

Example: 100000
client_order_nostring
contact_namestring
Example: ABC
contract_idstring

Contract Id

Example: 100000
cost_centrestring
credit_note_flagenum<string>
Available options: yes, no
Example: no
descriptionstring
Example: XYZ
discloseenum<string>
Available options: yes, no
Example: yes
driver_idstring
Example: 100000
gst_code_idstring
Example: 100000
invoice_datestring
Example: YYYY-MM-DD
invoice_from_datestring
Example: YYYY-MM-DD
invoice_item_nostring
Example: 1
invoice_nostring
Example: 100000
invoice_to_datestring
Example: YYYY-MM-DD
invoice_typeenum<string>
Available options: initial, periodic-lease, periodic-fmfee, recharge, recharge-fuel, recharge-reg, combined, booking, sale, pay-run
Example: initial
item_nostring
Example: 1
posted_datestring
Example: YYYY-MM-DD
posting_class_idstring
Example: 100001
received_grossnumber
Example: 1036.85
reg_nostring
Example: XYZ645
status_flagenum<string>
Available options: pending, posted, history-only, deleted
Example: posted
vmrs_code_idstring
Example: 100000